This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 185498 - Review Request: gjots2
Review Request: gjots2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
http://people.redhat.com/rvokal/gjots...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-15 04:14 EST by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 02:08:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-03-15 04:14:23 EST
Spec Name or Url: gjots2.spec
SRPM Name or Url: http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-1.src.rpm
Description: 

gjots2 ("gee-jots" or, if you prefer, "gyachts"!) is a way to marshall
and organise your text notes in a convenient, hierachical way. I use
it for all my notes on Unix, my personal bits and pieces, recipes and
even PINs and passwords (encrypted with ccrypt(1)).

You can also use it to "mind-map" your compositions - write down all
your thoughts and then start to organise them into a tree. By
manipulating the tree you can easily reorder your thoughts and
structure them appropriately.


Side note: The spec file is slightly modified original spec file from author. It's no longer noarch package (I'm not sure due to required libs if it can be), dekstop file is installed with desktop-file-install script and prefix was removed. Also can I keep %{__install} and %{__rm} macros there? They work on my FC5 machine, but I'm not sure they follow PackagingGuideLines ..
Comment 1 Patrice Dumas 2006-03-15 04:55:44 EST
%{__install} and %{__rm} are acceptable. There is nothing about these macros in
the PackagingGuideLines, and I even asked once on the list.
Comment 2 Gérard Milmeister 2006-03-16 13:57:02 EST
- Does it make sense to compile .py to .pyc?
- Don't use / to list files. Only package files and directories
  that are actually owned.
- Here is the output of rpmlint:
W: gjots2 no-version-in-last-changelog
E: gjots2 no-binary
E: gjots2 only-non-binary-in-usr-lib
E: gjots2 script-without-shellbang /usr/lib/gjots2/sortDialog.py
E: gjots2 script-without-shellbang /usr/lib/gjots2/file.py
E: gjots2 script-without-shellbang /usr/lib/gjots2/general.py
E: gjots2 standard-dir-owned-by-package /usr/bin
E: gjots2 script-without-shellbang /usr/lib/gjots2/prefs.py
E: gjots2 script-without-shellbang /usr/lib/gjots2/find.py
E: gjots2 standard-dir-owned-by-package /usr/lib
E: gjots2 standard-dir-owned-by-package /usr/src
W: gjots2 file-not-utf8 /usr/share/man/man1/docbook2gjots.1.gz
E: gjots2 standard-dir-owned-by-package /usr/share/man/man1
E: gjots2 script-without-shellbang /usr/lib/gjots2/gui.py
E: gjots2 standard-dir-owned-by-package /usr
W: gjots2 file-not-utf8 /usr/share/man/man1/gjots2docbook.1.gz
E: gjots2 standard-dir-owned-by-package /usr/share
E: gjots2 standard-dir-owned-by-package /usr/share/man
E: gjots2 script-without-shellbang /usr/lib/gjots2/common.py
W: gjots2 file-not-utf8 /usr/share/man/man1/gjots2html.1.gz
E: gjots2 script-without-shellbang /usr/lib/gjots2/version.py
E: gjots2 script-without-shellbang /usr/lib/gjots2/__init__.py
E: gjots2 script-without-shellbang /usr/lib/gjots2/printDialog.py
Comment 3 Radek Vokal 2006-03-17 07:17:27 EST
I've fixed some of those issues, see

http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-2.src.rpm

but there are still 2 remaining, which I'm not sure how to fix

E: gjots2 no-binary
E: gjots2 only-non-binary-in-usr-lib

does it apply on python? 
Comment 4 Paul Howarth 2006-03-17 07:53:54 EST
(In reply to comment #3)
> I've fixed some of those issues, see
> 
> http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-2.src.rpm
> 
> but there are still 2 remaining, which I'm not sure how to fix
> 
> E: gjots2 no-binary
> E: gjots2 only-non-binary-in-usr-lib
> 
> does it apply on python? 

Yes. Usually these would go under %{python_sitelib}, which rpmlint wouldn't
complain about.

And the usual fix for the "script without shellbang" issue would be to remove
the execute bit from the .py files rather than adding shellbangs. This is
because the python modules are imported by the scripts you do actually execute
(in %{_bindir}) and they don't need to be executable for that.
Comment 5 Toshio Kuratomi 2006-03-17 12:27:31 EST
>> E: gjots2 no-binary
>> E: gjots2 only-non-binary-in-usr-lib
>> 
>> does it apply on python? 

> Yes. Usually these would go under %{python_sitelib}, which rpmlint wouldn't
> complain about.

Alternately, they could go into %{_datadir}/%{name}.

The usual criteria is whether the files are going to be used as a module within
other programs or are just pieces of the base application that aren't going to
be useful as library files.  (Or whatever upstream prefers :-)

python-docutils and gourmet are examples of something that installs to
%{python_sitelib}.  rpmlint and qa-assistant are examples of installing to
%{_datadir}/%{name}.

You might consider downloading and taking a look at the source rpms for some of
those packages for examples of how they do things.  There are several things in
your spec that need to be changed and looking at those specs will help.

(One thing that jumps out is that the package only includes .py files.  You need
to compile the files and include the .pyc files.  .pyo files need to either be
included or %ghosted as well.)
Comment 6 Radek Vokal 2006-03-28 09:16:03 EST
Thanks for tips, I've moved all libs to python_sitelib. Hope it's fine now.

http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-3.src.rpm

Comment 7 Gérard Milmeister 2006-03-29 17:18:53 EST
- Needs BuildRequires: desktop-file-utils
Comment 8 Radek Vokal 2006-03-30 02:18:59 EST
Fixed in
http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-4.src.rpm
Comment 9 Gérard Milmeister 2006-03-30 09:50:26 EST
Most things are ok now, however I don't think you should %ghost the .pyc and
.pyo files. At least the .pyc should be effectively included.
Comment 10 Radek Vokal 2006-03-31 02:59:52 EST
Fixed, (I kept the release number)
http://people.redhat.com/rvokal/gjots2/gjots2-2.3.4-4.src.rpm

only pyo files are ghosted now
Comment 11 Gérard Milmeister 2006-04-01 04:05:20 EST
APPROVED
Comment 12 Gérard Milmeister 2006-05-07 16:43:34 EDT
You may close this bug now.

Note You need to log in before you can comment on or make changes to this bug.